﻿param([string]$computername)

 if ($computername) { 
    Write-Host "Restarting Service on: $computername"

    try {
        Get-Service -Name ITSMService -ComputerName $computername | Stop-Service
        Write-Host "...Service Stopped"
        Get-Service -Name ITSMService -ComputerName $computername | Start-Service
        Write-Host "...Service Started"
    } catch {
        $ErrorMessage = $_.Exception.Message
        Write-Host "...Error Occurred Starting Service: $ErrorMessage"
    }

 } else {
    Write-Host "Computer Name Not Passed on the Command Line"
 }